Get ledger entry line change events

Returns the list of changes based on the provided start_date. If no start_date is provided it returns the oldest set of recorded changes. Changes for the last 4 weeks are retained. The items will be returned using processed_at in ASC order (oldest first).

NEW BEHAVIOR : The old ledger scope will only work on the old behavior system. As soon as you opt in to the new version, or when the sunset phase starts and you haven't explicitly opted out of the old behavior, the ledger scope will no longer work. For more details, see our API documentation https://pennylane.readme.io/docs/2026-api-changes-guide for migration instructions.

This endpoint requires one of the following scopes: ledger (DEPRECATED), ledger_entries:readonly, ledger_entries:all

Query Params
boolean
Defaults to true

If you are already using the X-Use-2026-API-Changes header, you can ignore this parameter.

The Pennylane API is introducing important changes, which will be rolled out in three phases: preview, sunset and cleanup.

For new user, please use this parameter with true value to opt in directly to the new version of the API.

Preview phase: From January 14th to April 7th 2026. Opt in by setting this attribute to true to test and migrate to the new behavior.

Sunset phase: From April 8th to June 30th 2026. The new behavior becomes the default. Set this attribute to false if you need additional time to migrate.

Cleanup phase: Starting July 1st 2026 The old behavior will no longer be available. You must have migrated by this point.

For more details, see our API documentation https://pennylane.readme.io/docs/2026-api-changes-guide for migration instructions.

string

Cursor for pagination. Use this to fetch the next set of results. The cursor is an opaque string returned in the previous response's metadata. Leave empty for the first request.

integer
1 to 1000

Number of items to return per request. Defaults to 20 if not specified. Must be between 1 and 1000.

date-time

Filter the changes based on the event date. The date should follow RFC3339 format. If no date is provided, the oldest changes will be returned. Changes for the last 4 weeks are retained, thus providing a start_date older than that will result in a 422 response. Providing both start_date and cursor parameters will result in a 400 response.

Responses

500

Internal server error

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json